window.onload = function () {
	initialize();
}
function initialize() {
	initShare();
	initFontSize();
	initNewsType();
	initTitle();
    initBanquan();
	initSourceId();
	initNewsDate();
	initNewsAuthor();
	//initNewsIntro();
	setWebWidth();
	initNewsContent();
	initNewsRelated();
	initVideo();
	checkHeight();


	//testAlign();
}
function setWebWidth() {
	if (window.news) {
		news.setWebWidth(document.body.clientWidth);
	}
}
function initFontSize() {
	if (window.news) {
		var fontSize = news.initFontSize();
		changeFontSize(fontSize);
	}
}
function initTitle() {
	dTitle = document.getElementById("title");
	if (window.news) {
		var title = news.getTitle();
		 $("#title").html(title);
	}
}
function initNewsDate() {
	dNewsDate = document.getElementById("news_date");
	if (window.news) {
		var newsDate = news.getDate();
		$("#news_date").html(newsDate);
	}
}
function initNewsAuthor() {
	dNewsAuthor = document.getElementById("news_author");
	if (window.news) {
		var author = news.getAuthor();
		$("#news_author").html(author);
	}
}

function initShare(){
  dShare = document.getElementById("share");
  if(window.news){
     var share = news.getShare();
     $("#share").html(share);
  }
}

function initBanquan(){
  dBanquan = document.getElementById("banquan");
  if(window.news){
     var banquan = news.getBanquan();
     $("#banquan").html(banquan);
  }
}

function initNewsContent() {
	dNewsContent = document.getElementById("news_content");
	if (window.news) {
		var content = news.getContent();
		$("#news_content").html(content);
	}
}
function initSourceId() {
	dSourceId = document.getElementById("sourceid");
	if (window.news) {
		var sourceId = news.getSourceId();
		$("#sourceid").html(sourceId);
	}
}

function initScreenUtil(){
   news.initScreenUtil();
}

function initVideo() {
	dNewsVideo = document.getElementById("videoPlayer");
	if (window.news) {
		var content = news.getVideo();
		$("#videoPlayer").html(content);
	}
}


function startactivity(){
dTitleType = document.getElementById("news_type");
  if(window.news){
    var newsType = news.startactivity();
  }

}


function initNewsRelated() {
	//dNewsRecommend = document.getElementById("news_recommend");
	dNewsRecommend = document.getElementById("recommedBox");
	if (window.news) {
		var recommend = news.getRecommend();
		$("#recommedBox").html(recommend);
	}
}
function showImage(image, id) {
	imageView = document.getElementById(id);
	imageView.src = image;
}
function changeImageProcess(process, id) {
	//imageView = document.getElementById(id);
	//imageView.src = 'images/loading_' + process + '.png';
}
function openDicuss() {
    news.openDicuss();
}
function openNews(id, type, title, titlepic, newstime, titleurl, appid) {
	news.openNews(id, type, title, titlepic, newstime, titleurl, appid);
}

function openReporter(id) {
	news.openReporter(id);
}


function previewImage(id) {
	news.previewImage(id);
}
function openVideo(id) {
	var video_1 = document.getElementById(id);
	news.openVideo(id, video_1.offsetLeft, video_1.offsetTop);
}
function changeFontSize(font) {
	document.body.className = font;
}
function showBody() {
	var bodyHtml = document.getElementsByTagName('html')[0].html();
	//alert(document.body.offsetWidth);
	//window.news.showBody(window.height + '   ' + window.width);
	window.news.showBody(bodyHtml);
}
function getVideoLocation(id) {
	var video_1 = document.getElementById(id);
	news.setVideoLocation(id, video_1.offsetLeft, video_1.offsetTop);
}

function initWBShareUtil(){
   news.initWBShareUtil();
}

function initQQShareUtil(){
   news.initQQShareUtil();
}

function initWXShareUtil(){
   news.initWXShareUtil();
}

function initWXFriendShareUtil(){
   news.initWXFriendShareUtil();
}

function initNewsType(){
  dTitleType = document.getElementById("news_type");
  if(window.news){
    var newsType = news.getNewsType();
    $("#news_type").html(newsType);

  }
}

function addSub(){
dTitleType = document.getElementById("news_type");
  if(window.news){
    var newsType = news.addSub();
    $("#news_type").html(newsType);
  }

}

function cancelSub(){
dTitleType = document.getElementById("news_type");
  if(window.news){
    var newsType = news.cancelSub();
     $("#news_type").html(newsType);
  }

}

function refreshXiaoIce(){
dTitleType = document.getElementById("recommedBox");
  if(window.news){
    var newsType = news.refreshXiaoIce();
  }

}


function refreshXiaoIceStr(){
dTitleType = document.getElementById("recommedBox");
  if(window.news){
    var newsType = news.refreshXiaoIceStr();
    $("#recommedBox").html(newsType);
  }

}


function initLoading(){
dLoading = document.getElementById("XBChangeDiv");
  if(window.news){
     var loading = news.getLoading();
     $("#XBChangeDiv").html(loading);
  }

}


function refreshLoading(){
dLoading = document.getElementById("XBChangeDiv");
  if(window.news){
     var loading = news.refreshLoading();
     $("#XBChangeDiv").html(loading);
  }

}